
Name: kde-baseapps-artwork
Summary: K Desktop Environment
Summary(de): K Desktop Umgebung
Version: 15.04.3
Release: %mkrel 1
Group: Graphical desktop/KDE4
License: GPL
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kde-base-artwork-%version.tar.xz
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: cmake
BuildRequires:%{_lib}qt4-devel
BuildRequires:%{_lib}qtwebkit4-devel
BuildRequires: make
BuildRequires: phonon-devel
BuildRequires: tar
BuildRequires: xz


%description
KDE base artwork.

#german
%description -l de
KDE base artwork.

%files
%defattr(-,root,root,-)
%{_datadir}/apps/ksplash/Themes/Default/1024x768/background.png
%{_datadir}/apps/ksplash/Themes/Default/1280x1024/background.png
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/background.png
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/description.txt
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/icon1.png
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/icon1_anim.png
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/icon2.png
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/icon2_anim.png
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/icon3.png
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/icon3_anim.png
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/icon4.png
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/icon4_anim.png
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/icon5.png
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/icon5_anim.png
%{_datadir}/apps/ksplash/Themes/Default/1600x1200/rectangle.png
%{_datadir}/apps/ksplash/Themes/Default/1920x1080/background.png
%{_datadir}/apps/ksplash/Themes/Default/1920x1200/background.png
%{_datadir}/apps/ksplash/Themes/Default/600x400/background.png
%{_datadir}/apps/ksplash/Themes/Default/800x600/background.png
%{_datadir}/apps/ksplash/Themes/Default/Preview.png
%{_datadir}/apps/ksplash/Themes/Default/Theme.rc

#-------------------------------------------------------------------------


%prep
%setup -qn kde-base-artwork-%version


%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%cmake_kde4
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#reduce the binary result by 50mb
find %buildroot/ -name "*.jpg" -exec mogrify -quality 75%  '{}' \;



%clean
rm -fr %buildroot


#_________________ changelog _______________________________________
%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- create package
